#ifndef _NAVIGATION_H_
#define _NAVIGATION_H_

#include <math.h>
#include "hal/board.h"
#include "sensor/sensor.h"

extern Board board;
extern Sensor sensor;

class Navigation 
{
private:
	int richtung;
	int ausrichtung;
	int geschwindigkeit;
public:
	Navigation();
	~Navigation();
	
	void SetzeRichtung(int nRichtung);
	void SetzeAusrichtung(int nAusrichtung);
	void SetzeGeschwindigkeit(int nGeschwindigkeit);

	void Aktualisieren(int nRichtung,int nAusrichtung,int nGeschwindigkeit);
	void Aktualisieren();
};

#endif

 
